| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Исчезла заливка полилиний в некоторых блоках

Исчезла заливка полилиний в некоторых блоках

Ответ
Поиск в этой теме
Непрочитано 21.03.2014, 08:11 #1
Исчезла заливка полилиний в некоторых блоках
Vladimir_Sergeevich
 
рисую дороги, в перерывах курю Lisp
 
Пермь
Регистрация: 20.04.2011
Сообщений: 475

Проблема избита, да не до конца...
Есть аннотатиыный блок (точнее куча), которые тягаются с палитр. В один прекрасный момент у НЕКОТОРЫХ блоков пропала заливка... fillmode 1, _plan и _view тоже номально стоят.
Катринка и чертеж прилагаются.

з.ы. рисовал не я, такой баг вижу впервые... По большому счету я вообще теряюсь. Копая именно эти два, увидел странность: блоки в свойствах выглядят одинаково (имя, атрибуты, масштабы). догадался задать им одинаовый поворот - а они смотрят в разную сторону. как так могло получиться?

Миниатюры
Нажмите на изображение для увеличения
Название: Безымянный.png
Просмотров: 76
Размер:	77.4 Кб
ID:	124818  

Вложения
Тип файла: dwg
DWG 2004
2 пусковой.dwg (2.28 Мб, 934 просмотров)

__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Просмотров: 2375
 
Непрочитано 21.03.2014, 10:23
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,703


Вхождения блоков имеют разную нормаль (в разных ПСК они вставлены). Это очень хорошо видно на виде сбоку.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 21.03.2014, 10:37
#3
Alexeipost


 
Регистрация: 07.12.2010
Уфа
Сообщений: 411
<phrase 1=


У этих одинаковых вроде бы блоков, при одинаковом их положении, почему-то разные углы поворота в свойствах. Тут надо копать. Такое ощущение, что тот блок в котором пропала заливка, находится немного под углом к плоскости. Но по всем параметрам это не так.
Alexeipost вне форума  
 
Непрочитано 21.03.2014, 10:53
#4
KronSerg

Вода - моя работа
 
Регистрация: 10.11.2009
Санкт-Петербург
Сообщений: 3,632


Сплющил их всё.
Вложения
Тип файла: dwg
DWG 2004
2 пусковой.dwg (2.55 Мб, 866 просмотров)
__________________
Нерешаемых проблем не бывает.
KronSerg вне форума  
 
Автор темы   Непрочитано 21.03.2014, 11:21
#5
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 475
<phrase 1= Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
в разных ПСК они вставлены
То есть талантливый товарищ умудрился задать пск с углом к оси z? В принципе ничего сложного - про игнорирование координаты z в привязках он не знал...
А есть способ их повернуть нормально чохом?

Цитата:
Сообщение от KronSerg Посмотреть сообщение
Сплющил их всё.
Ни разу не решение проблеммы - блоки нужны блоками и с живыми атрибутами
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...

Последний раз редактировалось Vladimir_Sergeevich, 21.03.2014 в 11:29.
Vladimir_Sergeevich вне форума  
 
Непрочитано 21.03.2014, 11:35
#6
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,703


Цитата:
Сообщение от Vladimir_Sergeevich Посмотреть сообщение
То есть талантливый товарищ умудрился задать пск с углом к оси z?
Ага. У меня сейчас нет возможности писать нормально и гарантированно работающую программу, но в качестве первого варианта:
Код:
[Выделить все]
 (defun tt (/ ent lst adoc)
  (if (and (= (type (setq ent (vl-catch-all-apply
                                (function
                                  (lambda ()
                                    (vlax-ename->vla-object (car (entsel "\nSelect block <Cancel> : ")))
                                    ) ;_ end of lambda
                                  ) ;_ end of function
                                ) ;_ end of vl-catch-all-apply
                          ) ;_ end of setq
                    ) ;_ end of type
              'vla-object
              ) ;_ end of =
           (= (vla-get-objectname ent) "AcDbBlockReference")
           ) ;_ end of and
    (progn
      (vla-startundomark (setq adoc (vla-get-activedocument (vlax-get-acad-object))))
      (setq lst (mapcar (function (lambda (x) (cons x (vlax-get-property ent x)))) '("InsertionPoint")))
      (vla-put-normal ent (vlax-3d-point '(0. 0. 1.)))
      (foreach prop lst
        (vlax-put-property ent (car prop) (cdr prop))
        ) ;_ end of foreach
      (command "_.attsync"
               "_name"
               (if (vlax-property-available-p ent 'effectivename)
                 (vla-get-effectivename ent)
                 (vla-get-name ent)
                 ) ;_ end of if
               ) ;_ end of command
      (vla-endundomark adoc)
      ) ;_ end of progn
    ) ;_ end of if
  (princ)
  ) ;_ end of defun
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 21.03.2014, 11:43
#7
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 475
<phrase 1= Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


Не знаю стоит ли изгаляться, но все равно спасибо... Боец уже все преределал ручками, в качестве мер профилактики объяснил ему, зачем нужен osnapz 1.
Не факт, что будет рецидив.
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Vladimir_Sergeevich вне форума  
 
Автор темы   Непрочитано 25.03.2014, 08:10
#8
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 475
<phrase 1= Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


э... кхм... вопрос не в тему, но тому же файлу...
Некто что то наколдовал, в итоге высота текстов не меняется
при вводе спрашивает высоту (в настройках стиля 0) - ставлю 2.5 - отрисовывает 3.0. через свойства также не менятся, остается 3.0. меня порвало... это как так сделали?
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Vladimir_Sergeevich вне форума  
 
Непрочитано 25.03.2014, 08:56
1 | #9
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 16,265


Vladimir_Sergeevich, LUPREC сколько?
Хмурый вне форума  
 
Автор темы   Непрочитано 25.03.2014, 09:19
#10
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 475
<phrase 1= Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


ух ты как... спасибо, не знал такого еще. был 0
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Vladimir_Sergeevich вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Исчезла заливка полилиний в некоторых блоках

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Какой язык перспективен для инженера-конструктора с условием The_Mercy_Seat Программирование 705 17.03.2021 14:19